Bug 191215 - Busybox: glibc::free() detected invalid pointer...
Busybox: glibc::free() detected invalid pointer...
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: busybox (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ivana Varekova
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-09 15:50 EDT by Randy Zagar
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-30 08:22:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Randy Zagar 2006-05-09 15:50:03 EDT
Description of problem:
busybox egrep function tries to free invalid pointer

Version-Release number of selected component (if applicable):
busybox-1.00.rc1-5

How reproducible:
Always

Steps to Reproduce:
cat - > /tmp/regexp.partitions <<EOF
[hs]d[a-z]( |$)
cciss/c[0-9]d[0-9]( |$)
EOF

DISK="`busybox egrep -f /tmp/regexp.partitions /proc/partitions | \
           awk 'NR==1 {print $4}'`"

echo ${DISK}
  
Actual results:
*** glibc detected *** free(): invalid pointer: 0xbffc7b6b ***

Expected results:
hdc

Additional info:
This problem does not exist on FC4 systems with busybox-1.00-5.fc4.  Also, this
bug affects the network install "boot.iso" included with RHEL-4.U3-i386.
Comment 1 Ivana Varekova 2006-05-12 10:12:05 EDT
This problem is fixed in the version which is on 
http://people.redhat.com/varekova/busybox-1.00.rc1-5.test.i386.rpm .
Could you please test this version.

Note You need to log in before you can comment on or make changes to this bug.